<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />




    <!-- Favicon ICO-->
    <link rel="icon" type="image/x-icon" href='http://localhost:8000/uploads/images/favicon.ico'>




    <!-- Stylesheet Imports -->

    <!-- Bootstrap CDN-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <!-- Font Awesome CDN-->
    <link rel="stylesheet" href="//netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css">

    <link rel='stylesheet' href='/static/css/postReview.css'>

    <link rel='stylesheet' href='/static/css/totop_button.css'>



    <!-- Script Imports-->

    <!-- jQuery CDN -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>

    <!-- Popper CDN -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>

    <!-- Bootstrap CDN-->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <!-- Axios CDN -->
    <script src='https://cdnjs.cloudflare.com/ajax/libs/axios/0.25.0/axios.min.js'></script>

    <!-- 
      Global Variables
      Inclues frontEndUrl, backEndUrl, user images, and product images
    -->
    <script src='/static/js/globalVariables.js'></script>
    <script>
        var r = /\d+/;
        var s = window.location.href.replace(frontEndUrl + "/products/", '');
        const productid = parseInt((s.match(r)));
    </script>


    <title></title>
</head>


<body class="bg-light" onload="axiosGetOneProduct();axiosGetFilteredDiscountByProductId()">

    <!--back to top button-->
    <button class='bg-dark text-white' onclick="topFunction()" id="myBtn" title="Go to top">Top</button>


    <header>
        <nav class="navbar navbar-expand-md navbar-light bg-light">
            <a class="navbar-brand" href="/">SPIT!</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mr-auto" id='menu'>
                    <li class="nav-item">
                        <a class="nav-link" href="/category">Categories</a>
                    </li>
                </ul>
                <ul class="navbar-nav" id='LoginOrProfile'></ul>
            </div>
        </nav>
    </header>
    <script src='/static/js/menu.js'></script>
    <script>
        if (token) {
            if (userInfo.role === 'Admin') {
                menuHTML = `
        <li class="nav-item">
        <a class="nav-link" href="/products/${productid}/discount">Discounts</a>
        </li>
`;
                $("#menu").append(menuHTML)

            }
        }
    </script>










    <div class="container mt-5 mb-5">
        <div id="deleteProduct"></div>
        <div class="row d-flex justify-content-center">
            <div class="col-md-10">
                <div class="card">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="images p-3">
                                <div class="text-center p-4">
                                    <img id="main-image" width="250" />
                                </div>
                                <div class="thumbnail text-center" id="carouselOfImages">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="product p-4">
                                <div class="mt-4 mb-3"> <span class="text-uppercase text-muted brand" id='brand'></span>
                                    <h5 class="text-uppercase" id='name'></h5>
                                    <div class="price d-flex flex-row align-items-center" id='category'></div>
                                </div>
                                <p class='text-content' style="color: #d21404">$<span id="price"></span><span id="discounted_price" style="font-size:1.6em;margin-left:10px;"></span></p>
                                <div id='rating' style="color: grey;">Rating: <span id='avg_rating'></span></div>
                                <p class="about" id='description'></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="discounts"></div>

    <h1 style='text-align: center; '>REVIEWS</h1>
    <div class='container row'>
        <div id='reviews' class='row col-12'>
        </div>
        <fieldset class='col-12 row' id='postReview'></fieldset>
        <!-- <div class='col-12' id='postReviewResponse'></div> -->
        <style>
            fieldset {
                display: flex;
                justify-content: center;
            }
        </style>
    </div>


    <script src='/static/js/product/axiosFunctions.js'></script>
    <script src='/static/js/product/functions.js'></script>

    <script src='/static/js/review/axiosFunctions.js'></script>
    <script src='/static/js/review/functions.js'></script>

    <script src='/static/js/discount/axiosFunctions.js'></script>
    <script src='/static/js/discount/functions.js'></script>

    <script src='/static/js/totop_button.js'></script>
    <script src='/static/js/error/errorHandling.js'></script>

    <script>
        if (token) {
            showPostReviewBox();

            if (userInfo.role === 'Admin') {
                showDeleteProductButton();
            }
        }
    </script>
</body>

</html>